> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coin supply

> Returns the total current coin supply of Kaspa network.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/rpc/getCoinSupply
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/rpc/getCoinSupply:
    get:
      tags:
        - Kaspa Node RPC Proxy
      summary: Get coin supply
      description: Returns the total current coin supply of Kaspa network.
      operationId: RpcController_getCoinSupply
      parameters: []
      responses:
        '200':
          description: Coin supply information retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RpcGetCoinSupplyResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    RpcGetCoinSupplyResponseDto:
      type: object
      properties:
        maxSompi:
          type: string
          description: Maximum total supply in SOMPI
          example: '2900000000000000000'
        circulatingSompi:
          type: string
          description: Current circulating supply in SOMPI
          example: '1800000000000000000'
      required:
        - maxSompi
        - circulatingSompi
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````